Package org.eclipse.birt.report.model.api.filterExtension

# Interface IODAFilterExprProvider

All Known Implementing Classes:
  `ODAFilterExprProvider`

public interface IODAFilterExprProvider

## Method Summary

Modifier and Type
Method
Description
`List<IFilterExprDefinition>`
`getMappedFilterExprDefinitions(String odaDatasetExtensionId, String odaDataSourceExtensionId)`
Only returns the filter expression which can be mapped between BIRT defined and ODA filter extension provider.
`boolean`
`supportOdaExtensionFilters()`
Indicates if currently under the environment support the ODA extension Filters.
`boolean`
`supportODAFilterPushDown(String dataSourceExtId, String dataSetExtId)`
Indicates if the given data source and data set support the ODA extension Filters.

## Method Details

### getMappedFilterExprDefinitions

List<IFilterExprDefinition> getMappedFilterExprDefinitions(String odaDatasetExtensionId, String odaDataSourceExtensionId)
Only returns the filter expression which can be mapped between BIRT defined and ODA filter extension provider.

Parameters:
  `odaDatasetExtensionId` - oda datasource extension id.
  `odaDataSourceExtensionId` - oda dataset extension id.
Returns:
  List of IFilterExprDefinition instance.

### supportOdaExtensionFilters

boolean supportOdaExtensionFilters()
Indicates if currently under the environment support the ODA extension Filters.

Returns:
  true if supported, false, if not supported.

### supportODAFilterPushDown

boolean supportODAFilterPushDown(String dataSourceExtId, String dataSetExtId)
Indicates if the given data source and data set support the ODA extension Filters.

Parameters:
  `dataSourceExtId` - the extension id of the data source
  `dataSetExtId` - the extension id of the data set
Returns:
  true if supported, false, if not supported.